| Version: 3.0.4

Public Member Functions | List of all members
wxGridTableMessage Class Reference
Class List by Category » Grid Related Classes

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/grid.h>`

## Detailed Description

A simple class used to pass messages from the table to the grid.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxGridTableMessage ()
| wxGridTableMessage (wxGridTableBase *table, int id, int comInt1=-1, int comInt2=-1)
void | SetTableObject (wxGridTableBase *table)
wxGridTableBase * | GetTableObject () const
void | SetId (int id)
int | GetId ()
void | SetCommandInt (int comInt1)
int | GetCommandInt ()
void | SetCommandInt2 (int comInt2)
int | GetCommandInt2 ()

## Constructor & Destructor Documentation

## ◆ wxGridTableMessage() [1/2]

wxGridTableMessage::wxGridTableMessage | ( |  | ) |

## ◆ wxGridTableMessage() [2/2]

wxGridTableMessage::wxGridTableMessage | ( | wxGridTableBase * | table,
|  | int | id,
|  | int | comInt1 = `-1`,
|  | int | comInt2 = `-1`
| ) |  |

## Member Function Documentation

## ◆ GetCommandInt()

int wxGridTableMessage::GetCommandInt | ( |  | ) |

## ◆ GetCommandInt2()

int wxGridTableMessage::GetCommandInt2 | ( |  | ) |

## ◆ GetId()

int wxGridTableMessage::GetId | ( |  | ) |

## ◆ GetTableObject()

wxGridTableBase* wxGridTableMessage::GetTableObject | ( |  | ) | const

## ◆ SetCommandInt()

void wxGridTableMessage::SetCommandInt | ( | int | comInt1 | ) |

## ◆ SetCommandInt2()

void wxGridTableMessage::SetCommandInt2 | ( | int | comInt2 | ) |

## ◆ SetId()

void wxGridTableMessage::SetId | ( | int | id | ) |

## ◆ SetTableObject()

void wxGridTableMessage::SetTableObject | ( | wxGridTableBase * | table | ) |